﻿using combit.ListLabel24;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TaskTestApp
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void button_Click(object sender, RoutedEventArgs e)
        {
            Task.Factory.StartNew(() => {
                using (ListLabel LL = new ListLabel())
                {
                    LL.DataSource = CreateDataSource();
                    LL.AutoShowSelectFile = false;
                    LL.AutoShowPrintOptions = false;
                    LL.PreviewControl = enhancedPreviewControl.PreviewControl;
                    LL.AutoDestination = LlPrintMode.PreviewControl;                   
                    LL.Print(LlProject.List, @"c:\temp\test.lst");
                }

            });
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            using (ListLabel LL = new ListLabel())
            {
                LL.DataSource = CreateDataSource();
                LL.AutoFileAlsoNew = true;
                LL.Design(LlProject.List, @"c:\temp\test.lst");
            }

        }

        private static List<int> CreateDataSource()
        {
            return new List<int> { 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 };
        }
    }
}
